Katello - Bug #4922

system facts not updating via API
03/27/2014 07:49 PM - Thomas McKay

Status: Closed
Priority: Normal
Assignee: Christine Fouant
Category: API
Target version: Katello 2.0
Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1103860 Red Hat JIRA:
Pull request: https://github.com/Katello/katello/pull/450
8
Description

Passing facts during system creation in api succeeds, but subsequent calls to system update do not update the facts.

This has something to do with the attr_accessible and lazy_accessor in candlepin/consumer code perhaps? 'facts' are passed to
system.update() but by the time they reach the call to candlepin they are nil and so existing facts remain unchanged in backend.

Associated revisions

Revision 6f38a256 - 08/06/2014 05:39 PM - Christine Fouant
fixes #4922, #6937 - Fixes issue with not being able to update system facts,

Revision a7b9364c - 08/06/2014 06:16 PM - Justin Sherrill

Merge pull request #4508 from cfouant/facts

fixes #4922 - Fixes issue with not being able to update system facts, BZ 110

History

BZ 1103860, 1126376

3860

#1 - 06/02/2014 06:53 PM - Thomas McKay
- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1103860

#2 - 06/05/2014 03:08 AM - Eric Helms

- Triaged changed from No to Yes

#3 - 07/30/2014 05:40 PM - Christine Fouant
- Status changed from New to Assigned

- Assignee set to Christine Fouant

#4 - 07/30/2014 06:02 PM - The Foreman Bot

- Status changed from Assigned to Ready For Testing

- Target version set to 54

- Pull request https://github.com/Katello/katello/pull/4508 added
- Pull request deleted ()

#5 - 08/06/2014 07:01 PM - Christine Fouant
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|6f38a256be89400a4900429bdad7{f78e2e3f101.

#6 - 08/21/2014 02:38 PM - Eric Helms
https://projects.theforeman.org/projects/katello/repository/katello/revisions/6f38a256be89400a4900429bdad7ff78e2e3f101

- translation missing: en.field_release set to 13
